#include <iostream>
#include <cmath>

bool isPrime(int x)
{
    for (int i = 1; i < x; i++)
    {
        for(int j = 1; j < x; j++)
        {
            if(i * j == x && (i != 1 && j != 1))
            {
                return 0;
            }
        }
    }

    return 1;
}

bool isHalfPrime(int x)
{
    if (x > 3)
    {
        for (int i = 1; i < x; i++)
        {
            for (int j = 1; j < x; j++)
            {
                if(isPrime(i) && isPrime(j))
                {
                    return 1;
                }
            }
        }
    }

    return 0;
}

bool isDiv(float n, float d)
{
    if(n / d == (int)(n / d))
    {
        return 1;
    }

    return 0;
}

int gNOK(int n, int m)
{
    for (int i = std::max(n, m); i <= n * m; i++)
    {
        if(isDiv(i, n) && isDiv(i, m))
        {
            return i;
        }
    }

    return 0;
}

int main()
{
    int n, ans = 0;
    std::cin >> n;

    for(int i = 4; i < 1000; i++)
    {
        for (int j = i + 1; j < 1000 + i; j++)
        {
            if (isHalfPrime(i) && isHalfPrime(j) && gNOK(i, j) < i * j)
            {
                ans = gNOK(i, j);
                goto a;
            }
        }
    }

    a:
    //ans = isHalfPrime(n);
    std::cout << ans << std::endl;

    return 0;
}
